Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Commits on Aug 5, 2012
  1. @codebrainz
Commits on Jun 16, 2012
  1. @sardemff7 @hyperair

    Autotools: Conditionally add plugins to SUBDIRS

    sardemff7 authored hyperair committed
    Automake will automatically generate a DIST_SUBDIRS variable to get
    everything right for "make dist"
  2. @sardemff7 @hyperair

    Autotools: Do not include var.docs.mk

    sardemff7 authored hyperair committed
  3. @sardemff7 @hyperair

    Autotools: Remove EXTRA_LTLIBRARIES

    sardemff7 authored hyperair committed
  4. @sardemff7 @hyperair

    Autotools: Avoid most EXTRA_DIST

    sardemff7 authored hyperair committed
    Using dist_ prefix for the plugin doc and data files allows us to remove
    some unneeded EXTRA_DIST
Commits on Apr 3, 2012
  1. @codebrainz
  2. @codebrainz
Commits on Mar 28, 2012
  1. @codebrainz

    devhelp: Remove glob and list all source files in wscript_build

    codebrainz authored
    Fixes files missing from compilation and causing undefined symbols.
Commits on Mar 25, 2012
  1. @codebrainz
  2. @codebrainz
  3. @codebrainz

    devhelp: Add Devhelp 2.32.0 into plugin's source tree and build system

    codebrainz authored
    It's too hard to track the versions of this dependency and the GTK+ 2.0
    version is not even packaged anymore it seems.
    Minor changes made to source files to cleanup warnings.
    Waf build system still needs to be updated.
Commits on Oct 8, 2011
Commits on Oct 7, 2011
  1. fix i18n for devhelp

    Alexander Petukhov authored
  2. @b4n
Commits on Sep 12, 2011
  1. @eht16
Commits on Aug 30, 2011
  1. @eht16
  2. @codebrainz
Commits on Aug 27, 2011
  1. @eht16
  2. @codebrainz
  3. @b4n
Commits on Aug 24, 2011
  1. @codebrainz

    Adjust Waf build system to require newer Devhelp library.

    codebrainz authored
    Building with Waf now requires 'libdevhelp-2.0' (>=2.32.0) since I
    don't know how to make Waf use older or new library.
    
    git-svn-id: https://geany-plugins.svn.sourceforge.net/svnroot/geany-plugins/trunk/geany-plugins@2168 e8383189-8249-0410-b506-acc975200cbd
  2. @codebrainz

    Adjust Autotools build system to support newer Devhelp library.

    codebrainz authored
    Check first for older 'libdevhelp-2.0' and if it's not found, then
    check for 'libdevhelp-1.0'.  If using 'libdevhelp-2.0',
    'HAVE_BOOK_MANAGER' needs to be defined so the existing code can
    adapt to which version is found.
    
    git-svn-id: https://geany-plugins.svn.sourceforge.net/svnroot/geany-plugins/trunk/geany-plugins@2167 e8383189-8249-0410-b506-acc975200cbd
Commits on Aug 13, 2011
  1. @codebrainz
Commits on May 24, 2011
  1. @codebrainz
  2. @codebrainz
Commits on May 23, 2011
  1. @codebrainz
  2. @codebrainz
  3. @codebrainz

    Fix bugs

    codebrainz authored
  4. @codebrainz
  5. @codebrainz
  6. @codebrainz
  7. @codebrainz
  8. @codebrainz
  9. @codebrainz
  10. @codebrainz
Something went wrong with that request. Please try again.